summaryrefslogtreecommitdiff
path: root/tests/szcomp.sh
diff options
context:
space:
mode:
authorMathis Rosenhauer <rosenhauer@dkrz.de>2014-07-24 17:25:48 +0200
committerMathis Rosenhauer <rosenhauer@dkrz.de>2014-07-24 17:25:48 +0200
commitc7acc82274cefb2df0abbd5358eea50d3bbd9114 (patch)
tree4c6837302ab9d916271acb2a70b7ab76738e00e4 /tests/szcomp.sh
parent95fb0b33dfa8139ebce90e5fe910486cfdc3a337 (diff)
downloadlibaec-c7acc82274cefb2df0abbd5358eea50d3bbd9114.tar.gz
libaec-c7acc82274cefb2df0abbd5358eea50d3bbd9114.tar.bz2
libaec-c7acc82274cefb2df0abbd5358eea50d3bbd9114.zip
(Re)add test for libsz.
Diffstat (limited to 'tests/szcomp.sh')
-rwxr-xr-xtests/szcomp.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/szcomp.sh b/tests/szcomp.sh
new file mode 100755
index 0000000..6335835
--- /dev/null
+++ b/tests/szcomp.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+testfile=121B2TestData/ExtendedParameters/sar32bit.dat
+if [ ! -f $testfile ]; then
+ echo "ERROR: sample data not found."
+ exit -1
+fi
+./check_szcomp $testfile